./x11/kdesignerplugin, Integration of Frameworks widgets in Qt Designer/Creator

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.44.0nb1, Package name: kdesignerplugin-5.44.0nb1, Maintainer: markd

This framework provides plugins for Qt Designer that allow it to display
the widgets provided by various KDE frameworks, as well as a utility
(kgendesignerplugin) that can be used to generate other such plugins
from ini-style description files.


Required to run:
[security/gnupg2] [x11/qt5-qttools] [x11/qt5-qtbase] [graphics/kplotting] [www/kdewebkit]

Required to build:
[pkgtools/x11-links] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [devel/extra-cmake-modules] [devel/kdoctools] [x11/xorgproto]

Master sites: (Expand)

SHA1: 3c9fe5a2d8304e0fa148d58156a8fcebc7e1a833
RMD160: 46a0f09b8878a1c5ec7acc1f27fef7726aa881e1
Filesize: 88.605 KB

Version history: (Expand)


CVS history: (Expand)


   2018-04-14 09:34:46 by Adam Ciarcinski | Files touched by this commit (681) | Package updated
Log message:
revbump after icu update
   2018-04-11 13:50:41 by Mark Davies | Files touched by this commit (170) | Package updated
Log message:
kf5: update to 5.44.0

3 months of bugfixes.
   2018-04-07 03:02:14 by Mark Davies | Files touched by this commit (7)
Log message:
{kded,kdesignerplugin,kguiaddons,kitemviews,kwidgetsaddons,kwindowsystem,kxmlgui}: \ 
remove Qt5Widgets hack

r1.14 of src/external/gpl3/binutils/dist/bfd/elflink.c may fix the
underlying problem but r1.55 of pkgsrc/x11/qt5-qtbase/Makefile means
we no longer tickle it so remove.
   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2018-01-28 21:11:10 by Thomas Klausner | Files touched by this commit (462) | Package updated
Log message:
Bump PKGREVISION for gdbm shlib major bump
   2018-01-24 20:06:12 by Mark Davies | Files touched by this commit (66)
Log message:
kf5: strip -fvisibility=hidden in all kf5 packages

as it breaks the plugin mechanism due to not being able to
resolve various symbols
   2018-01-17 21:16:59 by Mark Davies | Files touched by this commit (53) | Package updated
Log message:
kf5: update to 5.41.0

16 months worth of updates. requires qt5>=5.7
   2017-11-30 17:45:43 by Adam Ciarcinski | Files touched by this commit (654) | Package updated
Log message:
Revbump after textproc/icu update